Codevisor Docs
Api reference

POST Skills Import Remote

POST/v1/skills/import-remote

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

source*string
skillNames?array<string>|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/skills/import-remote" \  -H "Content-Type: application/json" \  -d '{    "source": "string"  }'
{  "canonicalDir": "string",  "global": [    {      "name": "string",      "directoryName": "string",      "description": "string",      "path": "string",      "invalid": true,      "installs": [        {          "harnessId": "string",          "state": "linked"        }      ]    }  ],  "harnesses": [    {      "harnessId": "string",      "harnessName": "string",      "harnessSymbol": "string",      "skillsDir": "string",      "skills": [        {          "harnessId": "string",          "directoryName": "string",          "name": "string",          "description": "string",          "path": "string",          "classification": "independent",          "invalid": true,          "duplicateOf": "string"        }      ]    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}